<div>
  <mat-form-field appearance="standard">
    <mat-label>{{label}}</mat-label>
    <input [formControl]="itemControl" [matAutocomplete]="autoIng" matInput type="text">
    <mat-autocomplete #autoIng="matAutocomplete" [displayWith]="displayItemFn.bind(this)">
      <mat-option *ngFor="let option of filteredItemList | async" [value]="option">
        {{option[attribute]}}
      </mat-option>
    </mat-autocomplete>
  </mat-form-field>
</div>
